Gecode::Set::UnknownRanges< T > Class Template Reference
Functionality by programming task » Programming actors » Programming set actors

Range iterator for the unknown set. More...

`#include <var-imp.hpp>`

## Constructors and initialization

| UnknownRanges (void)
| Default constructor.
| UnknownRanges (const T &x)
| Initialize with unknown set ranges for set variable x.
void | init (const T &x)
| Initialize with unknown set ranges for set variable x.

## Additional Inherited Members

| Diff (void)
| Default constructor.
void | init (LubRanges< T > &i, GlbRanges< T > &j)
| Initialize with iterator i and j.
void | operator++ (void)
| Move iterator to next range (if possible).
| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops
Protected Attributes inherited from Gecode::Iter::Ranges::Diff< LubRanges< T >, GlbRanges< T > >
LubRanges< T > | i
| Iterator from which to subtract.
GlbRanges< T > | j
| Iterator to be subtracted.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Detailed Description

template<class T>
class Gecode::Set::UnknownRanges< T >

Range iterator for the unknown set.

This class provides a range iterator for the unknown set of all set views. The unknown set is the difference between least upper and greatest lower bound, i.e. those elements which still may be in the set, but are not yet known to be in.

Definition at line 402 of file var-imp.hpp.

## Constructor & Destructor Documentation

## UnknownRanges() [1/2]

template<class T>

Gecode::Set::UnknownRanges< T >::UnknownRanges | ( | void |  | ) |

inline

Default constructor.

Definition at line 40 of file iter.hpp.

## UnknownRanges() [2/2]

template<class T>

Gecode::Set::UnknownRanges< T >::UnknownRanges | ( | const T & | x | ) |

inline

Initialize with unknown set ranges for set variable x.

Definition at line 44 of file iter.hpp.

## Member Function Documentation

## init()

template<class T>

void Gecode::Set::UnknownRanges< T >::init | ( | const T & | x | ) |

inline

Initialize with unknown set ranges for set variable x.

Definition at line 50 of file iter.hpp.

The documentation for this class was generated from the following files:

- gecode/set/var-imp.hpp
- gecode/set/var-imp/iter.hpp